// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	スティンガーアニメーション関連
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

// スティンガーアニメーションの種類
const STINGER_TYPE_RANDOM				= 0;
const STINGER_TYPE_SAME					= 1;
const STINGER_TYPE_FADE					= 2;
const STINGER_TYPE_BLUR					= 3;
const STINGER_TYPE_ZOOM_01				= 4;
const STINGER_TYPE_ZOOM_02				= 5;
const STINGER_TYPE_ZOOM_03				= 6;
const STINGER_TYPE_SPIN_01				= 7;
const STINGER_TYPE_SPIN_02				= 8;
const STINGER_TYPE_SPIN_03				= 9;
const STINGER_TYPE_CLOSE_01				= 10;
const STINGER_TYPE_CLOSE_02				= 11;
const STINGER_TYPE_CLOSE_03				= 12;
const STINGER_TYPE_CLOSE_04				= 13;
const STINGER_TYPE_SLIDE_01				= 14;
const STINGER_TYPE_SLIDE_02				= 15;
const STINGER_TYPE_SLIDE_03				= 16;
const STINGER_TYPE_SLIDE_04				= 17;
const STINGER_TYPE_SLIDE_05				= 18;
const STINGER_TYPE_RANDOM_START			= STINGER_TYPE_SAME + 1;
const STINGER_TYPE_RANDOM_END			= STINGER_TYPE_SLIDE_05 + 1;

const STINGER_TEXT_TYPE_RANDOM			= 0;
const STINGER_TEXT_TYPE_NONE			= 1;
const STINGER_TEXT_TYPE_ZOOM_IN			= 2;
const STINGER_TEXT_TYPE_ZOOM_OUT		= 3;
const STINGER_TEXT_TYPE_SLIDE_01		= 4;
const STINGER_TEXT_TYPE_SLIDE_02		= 5;
const STINGER_TEXT_TYPE_SLIDE_03		= 6;
const STINGER_TEXT_TYPE_SLIDE_04		= 7;
const STINGER_TEXT_TYPE_POP				= 8;
const STINGER_TEXT_TYPE_DROP			= 9;
const STINGER_TEXT_TYPE_RANDOM_START	= STINGER_TEXT_TYPE_NONE + 1;
const STINGER_TEXT_TYPE_RANDOM_END		= STINGER_TEXT_TYPE_DROP + 1;

const STINGER_TEXT_NONE					= 0;
const STINGER_TEXT_NAME					= 1;
const STINGER_TEXT_EVENT				= 2;

const STINGER_BG_GAME					= 0;
const STINGER_BG_IMAGE					= 1;
const STINGER_BG_NEXT_BATTLE			= 2;
const STINGER_BG_COMMENT_TEAM			= 3;
const STINGER_BG_COMMENT_PLAYER			= 4;

const STINGER_IMAGE_WINDOW				= 0;
const STINGER_IMAGE_BACK				= 1;

// const seStinger = new Audio("se/文字表示の衝撃音3.mp3");

const ANI_COMP_BOX_STINGER = 1.0;		// スティンガー背景
const ANI_COMP_BOX_BACK_CENTER = 0.6;		// 中央背景
const ANI_DELY_BOX_BACK_CENTER = 2.0;


class YmsbStingerCheck extends YmsbCheck {

	constructor() {
		super();
		this.currStingerState = STINGER_BG_GAME;
		this.arrCurrStinger = ["", ""];
		this.arrDefStinger = ["", ""];
		this.arrStingerCSS = [SbCSS.BOX_STINGER_WINDOW, SbCSS.BOX_BACK_CENTER];
		this.arrStingerJSON = [SbJSON.STINGER_WINDOW, SbJSON.STINGER_IMAGE];
		this.arrSwVirt02 = [".v02_01", ".v02_02"];
		this.arrSwVirt08 = [".v08_01", ".v08_02", ".v08_03", ".v08_04", ".v08_05", ".v08_06", ".v08_07", ".v08_08"];
		this.arrSwHori02 = [".h02_01", ".h02_02"];
		this.arrSwHori08 = [".h08_01", ".h08_02", ".h08_03", ".h08_04", ".h08_05", ".h08_06", ".h08_07", ".h08_08"];
		this.arrSwSlsh04 = [".slash04_01", ".slash04_02", ".slash04_03", ".slash04_04"];
		this.arrSwRect09 = [
			".r09_01_01", ".r09_01_02", ".r09_01_03"
			, ".r09_02_01", ".r09_02_02", ".r09_02_03"
			, ".r09_03_01", ".r09_03_02", ".r09_03_03"
		];
		this.arrMkVirt02 = [".Mv02_01", ".Mv02_02"];
		this.arrMkHori02 = [".Mh02_01", ".Mh02_02"];
	}

	// データ切り分け
	checkData() {
		let newStingerState = jsonData[SbJSON.STINGER];
		let arrNewData = ["", ""];

		this.arrDefStinger[STINGER_IMAGE_WINDOW] = cSkin.defStingerWindow;
		this.arrDefStinger[STINGER_IMAGE_BACK] = cSkin.defStingerBack;

		for (let i = 0; i < 2; i++) {
			if ("" == this.arrCurrStinger[i]) {
				this.arrCurrStinger[i] = this.arrDefStinger[i];
			}
			arrNewData[i] = jsonData[this.arrStingerJSON[i]];
			this.checkImage(arrNewData[i], i);
		}

		if (this.currStingerState != newStingerState) {

			this.exStingerWindow();
			this.exStingerText(newStingerState);
			this.setStingerBack(newStingerState);
		}

		this.currStingerState = newStingerState;
	}

	// 画像データの入替
	checkImage(newJSONData, index) {
		let newData = this.arrDefStinger[index];
		if ("" != newJSONData) {
			newData = YMSB_URL_USER + newJSONData + ".png";
		}
		if (this.arrCurrStinger[index] != newData) {
			/*
						エラー時はずっとエラーチェックが走ることを鑑みると、この処理は不要か？
						let newImage = new Image();
						newImage.src = newData;
						newImage.onerror = function() {
							newData = this.arrDefStinger[index];
						}
			*/
			//			jQuery(this.arrStingerCSS[index]).attr("src", newData);
			jQuery(this.arrStingerCSS[index]).css("background-image", "url(" + newData + ")");
			this.arrCurrStinger[index] = newData;
		}
	}

	// スティンガー実行（窓）
	exStingerWindow() {
		let stingerType = Number(jsonData[SbJSON.STINGER_TYPE]);
		let stingerAfter = Number(jsonData[SbJSON.STINGER_AFTER]);
		let paramStart;
		let paramMiddle;
		let paramEnd;
		let easeType = ANI_EASE_NONE;
		let paramDefBefore = {
			scale: 1.0, x: "0px", y: "0px", opacity: 0.0, webkitFilter: "blur(0px)",
			transformPerspective: 1080, transformOrigin: "50% 50%", rotationY: 0, rotationX: 0
		};
		let paramDefAfter = {
			scale: 1.0, x: "0px", y: "0px", opacity: 1.0, webkitFilter: "blur(0px)",
			transformPerspective: 1080, transformOrigin: "50% 50%", rotationY: 0, rotationX: 0
		};
		let duraBefore = 1.0;
		let swGapBefore = "+=2.0";
		let swGapAfter = "+=3.0";

		let arrSwRect09_02 = [
			".r09_01_01", ".r09_01_02", ".r09_01_03", ".r09_02_03", ".r09_03_03", ".r09_03_02", ".r09_03_01", ".r09_02_01", ".r09_02_02"
		];

		if (STINGER_TYPE_RANDOM == stingerType) {
			stingerType = Math.floor(Math.random() * (STINGER_TYPE_RANDOM_END - STINGER_TYPE_RANDOM_START)) + STINGER_TYPE_RANDOM_START;
		}
		if (STINGER_TYPE_RANDOM == stingerAfter) {
			stingerAfter = Math.floor(Math.random() * (STINGER_TYPE_RANDOM_END - STINGER_TYPE_RANDOM_START)) + STINGER_TYPE_RANDOM_START;
		}
		if (STINGER_TYPE_SAME == stingerAfter) {
			stingerAfter = stingerType;
		}

		switch (stingerType) {
			case STINGER_TYPE_FADE:
				gsap.timeline()
					.set(".virt01", paramDefBefore)
					.to(".virt01", { duration: duraBefore, ease: ANI_EASE_IN, opacity: 1.0 })
					.set(".virt01", paramDefBefore, swGapBefore);
				break;

			case STINGER_TYPE_BLUR:
				gsap.timeline()
					.set(".virt01", paramDefBefore)
					.set(".virt01", { webkitFilter: "blur(20px)", scale: 1.2 })
					.to(".virt01", { duration: duraBefore, ease: ANI_EASE_IN, opacity: 1.0, webkitFilter: "blur(0px)", scale: 1.0 })
					.set(".virt01", paramDefBefore, swGapBefore);
				break;

			case STINGER_TYPE_ZOOM_01:
				gsap.timeline()
					.set(".virt01", paramDefBefore)
					.set(".virt01", { scale: 4.0 })
					.to(".virt01", { duration: duraBefore, ease: ANI_EASE_IN, opacity: 1.0, scale: 1.0 })
					.set(".virt01", paramDefBefore, swGapBefore);
				break;

			case STINGER_TYPE_ZOOM_02:
				gsap.timeline()
					.set(".virt01", paramDefBefore)
					.set(".virt01", { scale: 0.3, x: "-1920", opacity: 1.0 })
					.to(".virt01", { duration: 0.5, ease: ANI_EASE_OUT, x: "0px" })
					.to(".virt01", { duration: 0.5, ease: ANI_BACK_OUT, scale: 1.0 })
					.set(".virt01", paramDefBefore, swGapBefore);
				break;

			case STINGER_TYPE_ZOOM_03:
				gsap.timeline()
					.set(".virt01", paramDefBefore)
					.set(".virt01", { "backgroundSize": "30% 30%", "backgroundPosition": "50% 50%" })
					.to(".virt01", { duration: duraBefore, ease: ANI_BOUNCE_OUT, opacity: 1.0, "backgroundSize": "100% 100%" })
					.set(".virt01", paramDefBefore, swGapBefore);
				break;

			case STINGER_TYPE_SPIN_01:
				gsap.timeline()
					.set(".virt01", paramDefBefore)
					.set(".virt01", { scale: 0.3, x: "0px", transformOrigin: "50% 50%", rotationY: -180 })
					.to(".virt01", { duration: 0.5, ease: ANI_EASE_NONE, x: "-1920px", rotationY: -20, opacity: 1.0, scale: 0.8 })
					.to(".virt01", { duration: 0.5, ease: ANI_EASE_IN, x: "0px", rotationY: 0, opacity: 1.0, scale: 1.0 })
					.set(".virt01", paramDefBefore, swGapBefore);
				break;

			case STINGER_TYPE_SPIN_02:
				arrSwRect09_02.forEach(function (element, index) {
					let delayIndex = 0.1 * index;
					let gapBefore = "+=" + (2.9 - delayIndex) + "\"";
					gsap.timeline()
						.set(element, paramDefBefore)
						.to(element, { duration: 0.0, opacity: 1.0, delay: delayIndex }, "+=0.1")
						.set(element, paramDefBefore, gapBefore);
				});
				break;

			case STINGER_TYPE_SPIN_03:
				this.arrSwHori08.forEach(function (element, index) {
					let delayIndex = 0.1 * index;
					let gapBefore = "+=" + (2.8 - delayIndex) + "\"";
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, { opacity: 1.0, rotationX: 270 }, "+=0.1")
						.to(element, { duration: 0.1, rotationX: 0, delay: delayIndex })
						.set(element, paramDefBefore, gapBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_01:
				paramStart = [{ x: "-960px", opacity: 1.0 }, { x: "960px", opacity: 1.0 }];
				this.arrSwVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, paramStart[index])
						.to(element, { duration: duraBefore, ease: ANI_BOUNCE_OUT, x: "0px" })
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_02:
				paramStart = [{ y: "-540px", opacity: 1.0 }, { y: "540px", opacity: 1.0 }];
				this.arrSwHori02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, paramStart[index])
						.to(element, { duration: duraBefore, ease: ANI_BOUNCE_OUT, y: "0px" })
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_03:
				paramStart = [
					{ opacity: 1.0, transformOrigin: "0% 50%", x: "-100px", rotationY: 90 }
					, { opacity: 1.0, transformOrigin: "100% 50%", x: "100px", rotationY: -90 }
				];
				this.arrSwVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, paramStart[index])
						.to(element, { duration: duraBefore, ease: ANI_EASE_OUT, x: "0px", rotationY: 0 })
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_04:
				this.arrSwSlsh04.forEach(function (element, index) {
					if (index % 2 == 0) {
						paramStart = { opacity: 0.0, "backgroundPosition": "1080px 1080px" };
					}
					else {
						paramStart = { opacity: 0.0, "backgroundPosition": "-1080px -1080px" };
					}
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, paramStart)
						.to(element, { duration: duraBefore, ease: ANI_EASE_OUT, opacity: 1.0, "backgroundPosition": "0px 0px" })
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_01:
				paramStart = [{ x: "-1920px", opacity: 1.0 }, { x: "1920px", opacity: 1.0 }];
				this.arrSwHori02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, paramStart[index])
						.to(element, { duration: duraBefore, ease: ANI_EASE_IN, x: "0px" })
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_02:
				paramStart = [
					{ opacity: 1.0, y: "1080px" }
					, { opacity: 1.0, y: "-1080px" }
				];
				this.arrSwVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, paramStart[index])
						.to(element, { duration: duraBefore, ease: ANI_EASE_IN, y: "0px" })
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_03:
				this.arrSwRect09.forEach(function (element, index) {
					paramStart = [
						{ opacity: 1.0, y: "360px" }, { opacity: 1.0, x: "-640px" }, { opacity: 1.0, x: "-640px" }
						, { opacity: 1.0, y: "360px" }, { opacity: 1.0, rotationY: 90 }, { opacity: 1.0, y: "-360px" }
						, { opacity: 1.0, x: "640px" }, { opacity: 1.0, x: "640px" }, { opacity: 1.0, y: "-360px" }
					];
					easeType = ANI_EASE_INOUT;
					paramEnd = [
						{ duration: duraBefore, ease: easeType, y: "0px" }, { duration: duraBefore, ease: easeType, x: "0px" }, { duration: duraBefore, ease: easeType, x: "0px" }
						, { duration: duraBefore, ease: easeType, y: "0px" }, { duration: duraBefore, ease: easeType, rotationY: 0 }, { duration: duraBefore, ease: easeType, y: "0px" }
						, { duration: duraBefore, ease: easeType, x: "0px" }, { duration: duraBefore, ease: easeType, x: "0px" }, { duration: duraBefore, ease: easeType, y: "0px" }
					];
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, paramStart[index])
						.to(element, paramEnd[index])
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_04:
				paramStart = [
					{ webkitMaskPosition: "950px 0px", webkitMaskSize: "100% 1%" }
					, { webkitMaskPosition: "10px 0px", webkitMaskSize: "100% 1%" }
				];
				paramMiddle = [
					{ webkitMaskSize: "100% 200%", duration: 0.5 }
					, { webkitMaskSize: "100% 200%", duration: 0.5 }
				];
				paramEnd = [
					{ webkitMaskPosition: "0px 0px", duration: 1.0, ease: ANI_EASE_IN }
					, { webkitMaskPosition: "960px 0px", duration: 1.0, ease: ANI_EASE_IN }
				];
				this.arrMkVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramStart[index])
						.to(element, paramMiddle[index])
						.to(element, paramEnd[index]);
				});
				this.arrSwVirt02.forEach(function (element) {
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, { opacity: 1.0 })
						.to(element, { duration: duraBefore, scale: 1.0 })
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_05:
				this.arrSwVirt08.forEach(function (element, index) {
					let delayIndex = 0.1 * index;
					let gapBefore = "+=" + (2.8 - delayIndex) + "\"";
					gsap.timeline()
						.set(element, paramDefBefore)
						.set(element, { opacity: 1.0, rotationY: 90, y: "-1080px" }, "+=0.1")
						.to(element, { duration: 0.1, rotationY: 0, y: "0px", delay: delayIndex })
						.set(element, paramDefBefore, gapBefore);
				});
				break;




		}

		switch (stingerAfter) {
			case STINGER_TYPE_FADE:
				gsap.timeline()
					.set(".virt01", paramDefAfter, swGapAfter)
					.to(".virt01", { duration: 1.0, ease: ANI_EASE_IN, opacity: 0.0 })
					.set(".virt01", paramDefBefore);
				break;

			case STINGER_TYPE_BLUR:
				gsap.timeline()
					.set(".virt01", paramDefAfter, swGapAfter)
					.to(".virt01", { duration: 1.0, ease: ANI_EASE_IN, opacity: 0.0, webkitFilter: "blur(20px)", scale: 1.2 })
					.set(".virt01", paramDefBefore);
				break;

			case STINGER_TYPE_ZOOM_01:
				gsap.timeline()
					.set(".virt01", paramDefAfter, swGapAfter)
					.to(".virt01", { duration: 1.0, ease: ANI_EASE_IN, opacity: 0.0, scale: 8.0 })
					.set(".virt01", paramDefBefore);
				break;

			case STINGER_TYPE_ZOOM_02:
				gsap.timeline()
					.set(".virt01", paramDefAfter, swGapAfter)
					.to(".virt01", { duration: 0.5, ease: ANI_EASE_OUT, opacity: 1.0, scale: 0.3 })
					.to(".virt01", { duration: 0.5, ease: ANI_EASE_IN, opacity: 1.0, x: "1920px" })
					.set(".virt01", paramDefBefore);
				break;

			case STINGER_TYPE_ZOOM_03:
				gsap.timeline()
					.set(".virt01", paramDefAfter, swGapAfter)
					.to(".virt01", { duration: 1.0, ease: ANI_EASE_IN, opacity: 0.0, scale: 0.0 })
					.set(".virt01", paramDefBefore);
				break;

			case STINGER_TYPE_SPIN_01:
				gsap.timeline()
					.set(".virt01", paramDefAfter, swGapAfter)
					.to(".virt01", { duration: 0.5, ease: ANI_EASE_IN, x: "1920px", rotationY: 20, opacity: 1.0, scale: 0.8 })
					.to(".virt01", { duration: 0.5, ease: ANI_EASE_NONE, x: "0px", rotationY: 180, opacity: 0.0, scale: 0.3 })
					.set(".virt01", paramDefBefore);
				break;

			case STINGER_TYPE_SPIN_02:
				arrSwRect09_02.forEach(function (element, index) {
					let delayIndex = 0.1 * index;
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, { duration: 0.0, opacity: 0.0, delay: delayIndex }, "+=0.1")
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_SPIN_03:
				this.arrSwHori08.forEach(function (element, index) {
					let delayIndex = 0.1 * index;
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, { duration: 0.1, rotationX: -270, delay: delayIndex }, "+=0.1")
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_01:
				paramEnd = [
					{ duration: 1.0, ease: ANI_EASE_IN, x: "-960px" }
					, { duration: 1.0, ease: ANI_EASE_IN, x: "960px" }
				];
				this.arrSwVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramEnd[index])
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_02:
				paramEnd = [
					{ duration: 1.0, ease: ANI_EASE_IN, y: "-540px" }
					, { duration: 1.0, ease: ANI_EASE_IN, y: "540px" }
				];
				this.arrSwHori02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramEnd[index])
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_03:
				paramEnd = [
					{ duration: 1.0, ease: ANI_EASE_IN, x: "-100px", rotationY: 90, transformOrigin: "0% 50%" }
					, { duration: 1.0, ease: ANI_EASE_IN, x: "100px", rotationY: -90, transformOrigin: "100% 50%" }
				];
				this.arrSwVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramEnd[index])
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_CLOSE_04:
				this.arrSwSlsh04.forEach(function (element, index) {
					if (index % 2 == 0) {
						paramEnd = { duration: 1.0, ease: ANI_EASE_IN, opacity: 1.0, x: "1080px", y: "1080px" };
					}
					else {
						paramEnd = { duration: 1.0, ease: ANI_EASE_IN, opacity: 1.0, x: "-1080px", y: "-1080px" };
					}
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramEnd)
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_01:
				paramEnd = [
					{ duration: 1.0, ease: ANI_EASE_IN, x: "1920px" }
					, { duration: 1.0, ease: ANI_EASE_IN, x: "-1920px" }
				];
				this.arrSwHori02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramEnd[index])
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_02:
				paramEnd = [
					{ duration: 1.0, ease: ANI_EASE_IN, y: "-1080px" }
					, { duration: 1.0, ease: ANI_EASE_IN, y: "1080px" }
				];
				this.arrSwVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramEnd[index])
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_03:
				this.arrSwRect09.forEach(function (element, index) {
					let easeType = ANI_EASE_INOUT;
					paramEnd = [
						{ duration: 1.0, ease: easeType, x: "640px" }, { duration: 1.0, ease: easeType, x: "640px" }, { duration: 1.0, ease: easeType, y: "360px" }
						, { duration: 1.0, ease: easeType, y: "-360px" }, { duration: 1.0, ease: easeType, rotationY: -90 }, { duration: 1.0, ease: easeType, y: "360px" }
						, { duration: 1.0, ease: easeType, y: "-360px" }, { duration: 1.0, ease: easeType, x: "-640px" }, { duration: 1.0, ease: easeType, x: "-640px" }
					];
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramEnd[index])
						.set(element, paramDefBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_04:
				paramStart = [
					{ webkitMaskPosition: "950px 0px", duration: 0.5, ease: ANI_EASE_OUT }
					, { webkitMaskPosition: "10px 0px", duration: 0.5, ease: ANI_EASE_OUT }
				];
				paramMiddle = [
					{ webkitMaskSize: "100% 0%", duration: 0.5 }
					, { webkitMaskSize: "100% 0%", duration: 0.5 }
				];
				paramEnd = [
					{ webkitMaskPosition: "0px 0px", webkitMaskSize: "100% 200%" }
					, { webkitMaskPosition: "960px 0px", webkitMaskSize: "100% 200%" }
				];
				this.arrMkVirt02.forEach(function (element, index) {
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, paramStart[index])
						.to(element, paramMiddle[index])
						.set(element, paramEnd[index], swGapBefore);
				});
				this.arrSwVirt02.forEach(function (element) {
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.set(element, paramDefBefore, swGapBefore);
				});
				break;

			case STINGER_TYPE_SLIDE_05:
				this.arrSwVirt08.forEach(function (element, index) {
					let delayIndex = 0.1 * index;
					gsap.timeline()
						.set(element, paramDefAfter, swGapAfter)
						.to(element, { duration: 0.1, rotationY: -90, y: "-1080px", delay: delayIndex }, "+=0.1")
						.set(element, paramDefBefore);
				});
				break;

		}

	}

	// スティンガー実行（テキスト）
	exStingerText(newStingerState) {
		let stingerText		= Number(jsonData[SbJSON.STINGER_TEXT]);
		let stingerTextType = Number(jsonData[SbJSON.STINGER_TEXT_TYPE]);
		let arrNewText = ["", ""];
		let paramStart;
		let paramEnd;
		let paramDefBefore = {
			scale: 1.0, opacity: 0.0, x: "0px", y: "0px", textShadow: "none", letterSpacing: "normal",
			transformPerspective: 1080, transformOrigin: "50% 50%", justifyContent: "center", alignItems: "center",
			rotationY: 0, rotationX: 0, rotationZ: 0, skewX: 0, webkitFilter: "blur(0px)"
		};

		if (STINGER_TEXT_NONE != stingerText) {

			if (STINGER_TEXT_TYPE_RANDOM == stingerTextType) {
				stingerTextType = Math.floor(Math.random() * (STINGER_TEXT_TYPE_RANDOM_END - STINGER_TEXT_TYPE_RANDOM_START)) + STINGER_TEXT_TYPE_RANDOM_START;
			}

			if (STINGER_TEXT_EVENT == stingerText) {

				// イベント名を取得し１文字ずつ分割
				jQuery(SbCSS.TXT_STINGER_EVENT).css({ opacity: 0.0 });
				jQuery(SbCSS.TXT_STINGER_EVENT).text(YmsbAnime.fitTextWidth(cEvent.currData, SbCSS.TXT_STINGER_EVENT));
				let eventStinger = jQuery(SbCSS.TXT_STINGER_EVENT)[0];
				let eventArr = eventStinger.innerText.split("");
				eventStinger.innerHTML = "";
				for (let i = 0; i < eventArr.length; i++) {
					if (" " == eventArr[i]) {
						eventArr[i] = "&nbsp;";
					}
					eventStinger.innerHTML += "<span>" + eventArr[i] + "</span>";
				}
				/*
								// この処理でも分割可能だが、半角空白が認識し辛いため、上記の処理とした。
								eventStinger.innerHTML = eventStinger.innerText
															.split("")
															.map(element => "<span>" + element + "</span>")
															.join("");
				*/

				/// イベント名のアニメーション
				switch (stingerTextType) {
					case STINGER_TEXT_TYPE_ZOOM_IN:
						gsap.timeline()
							.set(SbCSS.TXT_STINGER_EVENT, paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT, { scale: 0.5, x: "0px", y: "0px", opacity: 0.0 })
							.to(SbCSS.TXT_STINGER_EVENT, { duration: 0.5, scale: 1.1, ease: ANI_EASE_OUT, opacity: 1.0 }, "+=1")
							.to(SbCSS.TXT_STINGER_EVENT, { duration: 1.0, scale: 1.12, ease: ANI_EASE_NONE, opacity: 1.0 })
							.to(SbCSS.TXT_STINGER_EVENT, { duration: 0.5, scale: 0.5, ease: ANI_EASE_IN, opacity: 0.0 });
						break;

					case STINGER_TEXT_TYPE_ZOOM_OUT:
						gsap.timeline()
							.set(SbCSS.TXT_STINGER_EVENT, paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT, { scale: 6.0, x: "0px", opacity: 0.0 })
							.to(SbCSS.TXT_STINGER_EVENT, { duration: 0.5, scale: 1.1, ease: ANI_EASE_IN, opacity: 1.0 }, "+=1")
							.to(SbCSS.TXT_STINGER_EVENT, { duration: 1.0, scale: 1.12, ease: ANI_EASE_NONE, opacity: 1.0 })
							.to(SbCSS.TXT_STINGER_EVENT, { duration: 0.5, scale: 6.0, ease: ANI_EASE_IN, opacity: 0.0 });
						break;

					case STINGER_TEXT_TYPE_SLIDE_01:
						gsap.timeline()
							.set(SbCSS.TXT_STINGER_EVENT, paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT, { x: "-1920px", opacity: 1.0, rotationX: 20, scale: 1.0, rotationY: 2, skewX: 5 })
							.to(SbCSS.TXT_STINGER_EVENT, { x: "-10px", duration: 0.5, ease: ANI_EASE_IN, scale: 1.1 }, "+=1")
							.to(SbCSS.TXT_STINGER_EVENT, { x: "10px", duration: 1.0, ease: ANI_EASE_NONE, rotationY: -2, skewX: -5, })
							.to(SbCSS.TXT_STINGER_EVENT, { x: "1920px", duration: 0.5, ease: ANI_EASE_IN, scale: 1.0 });
						break;

					case STINGER_TEXT_TYPE_SLIDE_02:
						gsap.timeline()
							.set(SbCSS.TXT_STINGER_EVENT, paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT, { opacity: 0.0, y: "-540px", letterSpacing: "normal" })
							.to(SbCSS.TXT_STINGER_EVENT, { opacity: 1.0, duration: 0.5, y: "0px", ease: ANI_EASE_IN }, "+=1")
							.to(SbCSS.TXT_STINGER_EVENT, { opacity: 1.0, duration: 1.0, letterSpacing: "0.1em", ease: ANI_EASE_NONE })
							.to(SbCSS.TXT_STINGER_EVENT, { opacity: 0.0, duration: 0.5, scaleX: 6.0, scaleY: 0.1, ease: ANI_EASE_IN });
						break;

					case STINGER_TEXT_TYPE_SLIDE_03:
						gsap.timeline()
							.set(SbCSS.TXT_STINGER_EVENT, paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT + " span", { opacity: 1.0 })
							.set(SbCSS.TXT_STINGER_EVENT, { x: "-2500px", y: "-60px", opacity: 1.0, scale: 1.1, alignItems: "end", justifyContent: "end" })
							.to(SbCSS.TXT_STINGER_EVENT, { x: "-110px", duration: 0.5, ease: ANI_EASE_IN }, "+=1")
							.to(SbCSS.TXT_STINGER_EVENT + " span", { duration: 0.5, ease: ANI_EASE_IN, opacity: 0.6, stagger: { amount: 0.5, from: "start" } })
							.to(SbCSS.TXT_STINGER_EVENT + " span", { duration: 0.5, ease: ANI_EASE_IN, opacity: 1.0, stagger: { amount: 0.5, from: "start" } })
							.to(SbCSS.TXT_STINGER_EVENT, { x: "2500px", duration: 0.5, ease: ANI_EASE_IN });
						break;

					case STINGER_TEXT_TYPE_SLIDE_04:
						gsap.timeline()
							.set(SbCSS.TXT_STINGER_EVENT, paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT, { x: "2000px", y: "-730px", rotationZ: -20, opacity: 1.0, scale: 1.4 })
							.to(SbCSS.TXT_STINGER_EVENT, { x: "-5px", y: "3px", duration: 0.5, ease: ANI_EASE_IN }, "+=1")
							.to(SbCSS.TXT_STINGER_EVENT, { x: "5px", y: "-3px", duration: 1.0, ease: ANI_EASE_NONE })
							.to(SbCSS.TXT_STINGER_EVENT, { x: "-2000px", y: "730px", duration: 0.5, ease: ANI_EASE_IN });
						break;

					case STINGER_TEXT_TYPE_POP:
						gsap.timeline()
							.set([SbCSS.TXT_STINGER_EVENT + " span", SbCSS.TXT_STINGER_EVENT], paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT + " span", { opacity: 0.0, scale: 0.0 })
							.set(SbCSS.TXT_STINGER_EVENT, { opacity: 1.0 })
							.to(SbCSS.TXT_STINGER_EVENT + " span", { opacity: 1.0, duration: 0.5, scale: 1.0, ease: ANI_BOUNCE_OUT, stagger: { amount: 0.5, from: "start" } }, "+=1")
							.to(SbCSS.TXT_STINGER_EVENT + " span", { opacity: 0.0, duration: 0.5, scaleX: 6.0, scaleY: 0.1, ease: ANI_EASE_IN }, "+=0.5")
							.set(SbCSS.TXT_STINGER_EVENT, { opacity: 0.0 });
						break;

					case STINGER_TEXT_TYPE_DROP:
						gsap.timeline()
							.set([SbCSS.TXT_STINGER_EVENT + " span", SbCSS.TXT_STINGER_EVENT], paramDefBefore)
							.set(SbCSS.TXT_STINGER_EVENT + " span", { opacity: 0.0, scale: 12.0 })
							.set(SbCSS.TXT_STINGER_EVENT, { opacity: 1.0 })
							.to(SbCSS.TXT_STINGER_EVENT + " span", {
								opacity: 1.0, duration: 0.5, scale: 1.0, ease: ANI_BOUNCE_OUT,
								stagger: { amount: 0.5, from: "random" }
							}, "+=1.0")
							.to(SbCSS.TXT_STINGER_EVENT + " span", {
								opacity: 0.0, duration: 0.5, scaleX: 0.1, scaleY: 6.0, ease: ANI_EASE_IN,
								stagger: { amount: 0.5, from: "random" }
							}, "+=0.5")
							.set(SbCSS.TXT_STINGER_EVENT, { opacity: 0.0 });
						break;

				}
			}
			else { // (STINGER_TEXT_NAME == stingerText)

				// 文字設定とVSアニメーション
				arrNewText.forEach(function (element, index) {
					if (STINGER_BG_NEXT_BATTLE == newStingerState) {
						element = arrPrmTxtNextBattle[index];
					}
					else {
						element = cTeamName.arrTeam[index].currData;

						// 中央の文字（デフォルトはVS）のアニメーション
						gsap.timeline()
							.set(SbCSS.TXT_STINGER_VS, paramDefBefore)
							.set(SbCSS.TXT_STINGER_VS, { scale: 12.0, opacity: 1.0, rotationZ: 360 }, "+=1")
							.to(SbCSS.TXT_STINGER_VS, { duration: 0.5, ease: ANI_EASE_IN, scale: 1.5, rotationZ: 0 })
							.to(SbCSS.TXT_STINGER_VS, { duration: 0.5, ease: ANI_EASE_OUT, textShadow: "0px 0px 100px #FFF", yoyo: true, repeat: 1 })
							.to(SbCSS.TXT_STINGER_VS, { duration: 0.5, ease: ANI_EASE_IN, scale: 12.0, rotationZ: -360 })
							.set(SbCSS.TXT_STINGER_VS, paramDefBefore);
					}
					jQuery(arrCSSTxtStinger[index]).text(YmsbAnime.fitTextWidth(element, arrCSSTxtStinger[index]));

					// １文字ずつ分割
					let eventStinger = jQuery(arrCSSTxtStinger[index])[0];
					let eventArr = eventStinger.innerText.split("");
					eventStinger.innerHTML = "";
					for (let i = 0; i < eventArr.length; i++) {
						if (" " == eventArr[i]) {
							eventArr[i] = "&nbsp;";
						}
						eventStinger.innerHTML += "<span>" + eventArr[i] + "</span>";
					}
				});

				// チーム名・NEXT BATTLEのアニメーション
				switch (stingerTextType) {
					case STINGER_TEXT_TYPE_ZOOM_IN:
						arrCSSTxtStinger.forEach(function (element) {
							gsap.timeline()
								.set(element, paramDefBefore)
								.set(element, { scale: 0.5, x: "0px", y: "0px", opacity: 0.0 }, "+=1")
								.to(element, { duration: 0.5, scale: 1.2, ease: ANI_EASE_OUT, opacity: 1.0 })
								.to(element, { duration: 1.0, scale: 1.25, ease: ANI_EASE_NONE, opacity: 1.0 })
								.to(element, { duration: 0.5, scale: 0.5, ease: ANI_EASE_IN, opacity: 0.0 })
								.set(element, paramDefBefore);
						});
						break;

					case STINGER_TEXT_TYPE_ZOOM_OUT:
						arrCSSTxtStinger.forEach(function (element, index) {
							let position = ["-480px", "480px"];
							paramStart = { scale: 6.0, x: "0px", y: position[index], opacity: 0.0 };
							paramEnd = { duration: 0.5, scale: 6.0, y: position[index], ease: ANI_EASE_IN, opacity: 0.0 }
							gsap.timeline()
								.set(element, paramDefBefore)
								.set(element, paramStart, "+=1")
								.to(element, { duration: 0.5, scale: 1.2, y: "0px", ease: ANI_EASE_IN, opacity: 1.0 })
								.to(element, { duration: 1.0, scale: 1.25, y: "0px", ease: ANI_EASE_NONE, opacity: 1.0 })
								.to(element, paramEnd)
								.set(element, paramDefBefore);
						});
						break;

					case STINGER_TEXT_TYPE_SLIDE_01:
						arrCSSTxtStinger.forEach(function (element, index) {
							let posStart = ["-1920px", "1920px"];
							let posMid01 = ["-10px", "10px"];
							let posMid02 = ["10px", "-10px"];
							let posEnd = ["1920px", "-1920px"];
							let skewStart = [5, -5];
							let skewMid = [-5, 5];
							let rotStartY = [2, -2];
							let rotEndY = [-2, 2];
							paramStart = { opacity: 1.0, x: posStart[index], scale: 1.5, rotationY: rotStartY[index], skewX: skewStart[index] };
							gsap.timeline()
								.set(element, paramDefBefore)
								.set(element, paramStart, "+=1")
								.to(element, { duration: 0.5, ease: ANI_EASE_IN, x: posMid01[index], scale: 1.25, rotationX: 20 })
								.to(element, { duration: 1.0, ease: ANI_EASE_NONE, x: posMid02[index], skewX: skewMid, rotationY: rotEndY[index] })
								.to(element, { duration: 0.5, ease: ANI_EASE_IN, x: posEnd[index], scale: 1.5 })
								.set(element, paramDefBefore);
						});
						break;

					case STINGER_TEXT_TYPE_SLIDE_02:
						arrCSSTxtStinger.forEach(function (element, index) {
							let posStartY = ["-1920px", "1920px"];
							let posMidY01 = ["5px", "-5px"];
							let posMidY02 = ["-5px", "5px"];
							let posEndY = ["1920px", "-1920px"];
							let posStartX = ["-800px", "800px"];
							let rotStartZ = [-90, 90];
							paramStart = { x: posStartX[index], y: posStartY[index], opacity: 1.0, rotationZ: rotStartZ[index], webkitFilter: "blur(5px)" };
							gsap.timeline()
								.set(element, paramDefBefore)
								.set(element, paramStart, "+=1")
								.to(element, { duration: 0.5, ease: ANI_EASE_IN, y: posMidY01[index] })
								.to(element, { duration: 1.0, ease: ANI_EASE_NONE, y: posMidY02[index], webkitFilter: "blur(0px)" })
								.to(element, { duration: 0.5, ease: ANI_EASE_IN, y: posEndY[index] })
								.set(element, paramDefBefore)
						});
						break;

					case STINGER_TEXT_TYPE_SLIDE_03:
						arrCSSTxtStinger.forEach(function (element, index) {
							let posStart = ["1920px", "-1920px"];
							let posEnd = ["-1920px", "1920px"];
							let posMid = ["10px", "-10px"];
							let justCont = ["flex-start", "flex-end"];
							let posY = ["-280px", "280px"];
							paramStart = { x: posStart[index], y: posY[index], opacity: 1.0, justifyContent: justCont[index] };
							gsap.timeline()
								.set(element, paramDefBefore)
								.set(element, paramStart, "+=1")
								.to(element, { duration: 0.5, ease: ANI_EASE_IN, x: "0px" })
								.to(element, { duration: 1.0, ease: ANI_EASE_NONE, x: posMid[index] })
								.to(element, { duration: 0.5, ease: ANI_EASE_IN, x: posEnd[index] })
								.set(element, paramDefBefore);
						});
						break;

					case STINGER_TEXT_TYPE_SLIDE_04:
						arrCSSTxtStinger.forEach(function (element, index) {
							let paramStart = [
								{ opacity: 1.0, rotationZ: -20, scale: 1.4, x: "-1920px", y: "700px" }
								, { opacity: 1.0, rotationZ: -20, scale: 1.4, x: "1920px", y: "-700px" }
							];
							let paramMid01 = [
								{ duration: 0.5, ease: ANI_EASE_IN, x: "0px", y: "0px" }
								, { duration: 0.5, ease: ANI_EASE_IN, x: "0px", y: "0px" }
							];
							let paramMid02 = [
								{ duration: 1.0, ease: ANI_EASE_NONE, x: "-6px", y: "3px" }
								, { duration: 1.0, ease: ANI_EASE_NONE, x: "6px", y: "-3px" }
							];
							let paramEnd = [
								{ duration: 0.5, ease: ANI_EASE_IN, x: "1920px", y: "-700px" }
								, { duration: 0.5, ease: ANI_EASE_IN, x: "-1920px", y: "700px" }
							];
							gsap.timeline()
								.set(element, paramDefBefore)
								.set(element, paramStart[index], "+=1")
								.to(element, paramMid01[index])
								.to(element, paramMid02[index])
								.to(element, paramEnd[index])
								.set(element, paramDefBefore);
						});
						break;

					case STINGER_TEXT_TYPE_POP:
						arrCSSTxtStinger.forEach(function (element, index) {
							let staggerFrom = ["start", "end"];
							gsap.timeline()
								.set([element + " span", element], paramDefBefore)
								.set(element + " span", { opacity: 0.0, scale: 0.0 })
								.set(element, { opacity: 1.0 })
								.to(element + " span", { opacity: 1.0, duration: 0.5, scale: 1.1, ease: ANI_BOUNCE_OUT, stagger: { amount: 0.5, from: staggerFrom[index] } }, "+=1")
								.to(element + " span", { opacity: 0.0, duration: 0.5, scaleX: 6.0, scaleY: 0.1, ease: ANI_EASE_IN }, "+=0.5")
								.set(element, paramDefBefore);
						});
						break;

					case STINGER_TEXT_TYPE_DROP:
						arrCSSTxtStinger.forEach(function (element) {
							gsap.timeline()
								.set([element + " span", element], paramDefBefore)
								.set(element + " span", { opacity: 0.0, scale: 12.0 })
								.set(element, { opacity: 1.0 })
								.to(element + " span", {
									opacity: 1.0, duration: 0.5, scale: 1.2, ease: ANI_BOUNCE_OUT,
									stagger: { amount: 0.5, from: "random" }
								}, "+=1.0")
								.to(element + " span", {
									opacity: 0.0, duration: 0.5, scaleX: 0.1, scaleY: 6.0, ease: ANI_EASE_IN,
									stagger: { amount: 0.5, from: "random" }
								}, "+=0.5")
								.set(element, paramDefBefore);

						});
						break;

				}
			}
		}
	}

	// スティンガー背景の切り替え
	setStingerBack(newStinger) {

		let stingerOptBackUsr;
		let stingerOptNextTxt;
		let stingerOptNextBox;
		let stingerOptComment;

		// 次に表示する文字は毎回設定しておき、透過度で表示内容を制御する
		// 背景については設定画像かデフォルト画像かを状況によって切り分ける
		if (STINGER_BG_GAME == newStinger) {
			stingerOptBackUsr = 0.0;
			stingerOptNextTxt = 0.0;
			stingerOptNextBox = 0.0;
			stingerOptComment = 0.0;
		}
		else if (STINGER_BG_IMAGE == newStinger) {
			stingerOptBackUsr = 1.0;
			stingerOptNextTxt = 0.0;
			stingerOptNextBox = 1.0;
			stingerOptComment = 0.0;
		}
		else if (STINGER_BG_NEXT_BATTLE == newStinger) {
			stingerOptBackUsr = 0.0;
			stingerOptNextTxt = 1.0;
			stingerOptNextBox = 1.0;
			stingerOptComment = 0.0;
		}
		else { // STINGER_BG_COMMENT_TEAM <= newStinger
			stingerOptBackUsr = 0.0;
			stingerOptNextTxt = 0.0;
			stingerOptNextBox = 1.0;
			stingerOptComment = 1.0;
		}

		// 画像設定
		gsap.to(SbCSS.BOX_BACK_CENTER, {
			duration: ANI_COMP_BOX_BACK_CENTER,
			ease: ANI_EASE_IN, delay: ANI_DELY_BOX_BACK_CENTER, opacity: stingerOptBackUsr
		});
		gsap.to(SbCSS.BOX_BACK_CENTER_DEF, {
			duration: ANI_COMP_BOX_BACK_CENTER,
			ease: ANI_EASE_IN, delay: ANI_DELY_BOX_BACK_CENTER, opacity: stingerOptNextBox
		});

		// 次戦カード設定
		gsap.to(SbCSS.TXT_STINGER_NEXT_CENTER, {
			duration: ANI_COMP_BOX_BACK_CENTER, opacity: stingerOptNextTxt,
			ease: ANI_EASE_IN, delay: ANI_DELY_BOX_BACK_CENTER
		});
		for (let i = 0; i < 2; i++) {
			let nextText = jsonData[arrJSONNext[i]];
			let nextCSS = arrCSSTxtStingerNext[i];
			gsap.to(nextCSS, {
				duration: ANI_COMP_BOX_BACK_CENTER, opacity: stingerOptNextTxt,
				ease: ANI_EASE_IN, delay: ANI_DELY_BOX_BACK_CENTER, onComplete: YmsbAnime.callBackTextUpdate(nextCSS, nextText)
			});
		}

		// コメント設定
		for (let i = 0; i < 2; i++) {
			let commentName;
			let commentOrder = jsonData[arrJSONOrder[i]];
			let commentNote;
			if ((STINGER_BG_COMMENT_TEAM == newStinger) || (0 == commentOrder)) {
				commentName = cTeamName.arrTeam[i].currData;
				commentNote = jsonData[arrTxtCommentJSON[i][0]];
			}
			else {
				commentName = jsonData[arrTxtMemberJSON[i][commentOrder - 1]];
				commentNote = jsonData[arrTxtCommentJSON[i][commentOrder]];
			}

			gsap.to(arrCSSBoxComment[i], {
				duration: ANI_COMP_BOX_BACK_CENTER, opacity: stingerOptComment,
				ease: ANI_EASE_IN, delay: ANI_DELY_BOX_BACK_CENTER
			});
			gsap.to(arrCSSTxtCommentName[i], {
				duration: ANI_COMP_BOX_BACK_CENTER, opacity: stingerOptComment,
				ease: ANI_EASE_IN, delay: ANI_DELY_BOX_BACK_CENTER,
				onComplete: YmsbAnime.callBackTextUpdate(arrCSSTxtCommentName[i], commentName)
			});
			gsap.to(arrCSSTxtCommentNote[i], {
				duration: ANI_COMP_BOX_BACK_CENTER, opacity: stingerOptComment,
				ease: ANI_EASE_IN, delay: ANI_DELY_BOX_BACK_CENTER,
				onComplete: YmsbAnime.callBackTextUpdate(arrCSSTxtCommentNote[i], commentNote)
			});
		}
	}
}
