/* ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

	YMSB(Control)

	Copyright YM 2022.

	Twitter @YmBlaze

■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■ */

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	グローバル変数
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

// ■■ JSONファイルの名前 ■■
const YMSB_JSON_FILE_NAME = "streamcontrol\\streamcontrol.json";

// ■■ CSVファイルの名前 ■■
const YMSB_CSV_FILE_NAME = "csv\\scData.csv";

// ■■ ヘルプページのURL ■■
const YMSB_HELP_URL		= "https://oreshufu.com/ymsb/qa";

// ■■ デフォルトで表示する言語（日本語） ■■
const YMSB_DEF_LANG		= 2;

// ■■ ファイルハンドル（"open"で取得しておく） ■■
let fileHandle;
let CSVfileHandle;

// ■■ JSONファイルの初期データ（"open"で取得した実体） ■■
let dataFromJson;

// ■■ CSVファイルから読み込んだデータ ■■
let csv_data_array = [];

// ■■ オートコンプリート用データ
let csv_autoComplete = [];

// ■■ モード定数
const YMSB_TYPE_BASIC	= 0;
const YMSB_TYPE_EXPERT	= 1;
const YMSB_JSON_FILE_BASIC	= -29;
const YMSB_JSON_FILE_EXPERT	= -30;

// ■■ CSVデータ列挙体
const YMSB_CSV = {
	NO_INDEX			: 0,
	PLAYER_NAME			: 1,
	NOW_NAME			: 2,
	LOGO				: 3,
	PLAYER_COMMENT		: 4,
	PLAYER_IMAGE		: 5,
	MEMBER_NAME_01		: 6,
	MEMBER_BACK_01		: 7,
	MEMBER_NAME_02		: 8,
	MEMBER_BACK_02		: 9,
	MEMBER_NAME_03		: 10,
	MEMBER_BACK_03		: 11,
	MEMBER_NAME_04		: 12,
	MEMBER_BACK_04		: 13,
	MEMBER_NAME_05		: 14,
	MEMBER_BACK_05		: 15,
	MEMBER_NAME_06		: 16,
	MEMBER_NAME_07		: 17,
	MEMBER_NAME_08		: 18,
	MEMBER_NAME_09		: 19,
	MEMBER_NAME_10		: 20,
	MEMBER_NAME_11		: 21,
	MEMBER_NAME_12		: 22,
	MEMBER_NAME_13		: 23,
	MEMBER_NAME_14		: 24,
	MEMBER_NAME_15		: 25,
	MEMBER_NAME_16		: 26,
	MEMBER_NAME_17		: 27,
	MEMBER_NAME_18		: 28,
	MEMBER_COMMENT_01	: 29,
	MEMBER_COMMENT_02	: 30,
	MEMBER_COMMENT_03	: 31,
	MEMBER_COMMENT_04	: 32,
	MEMBER_COMMENT_05	: 33,
	MEMBER_COMMENT_06	: 34,
	MEMBER_COMMENT_07	: 35,
	MEMBER_COMMENT_08	: 36,
	MEMBER_COMMENT_09	: 37,
	MEMBER_COMMENT_10	: 38,
	MEMBER_COMMENT_11	: 39,
	MEMBER_COMMENT_12	: 40,
	MEMBER_COMMENT_13	: 41,
	MEMBER_COMMENT_14	: 42,
	MEMBER_COMMENT_15	: 43,
	MEMBER_COMMENT_16	: 44,
	MEMBER_COMMENT_17	: 45,
	MEMBER_COMMENT_18	: 46
};

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	タブ設定
//	https://blog-and-destroy.com/7389
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

jQuery(function($){
	jQuery('.tab').click(function(){
		jQuery('.is-active').removeClass('is-active');
		jQuery(this).addClass('is-active');
		jQuery('.is-show').removeClass('is-show');
		// クリックしたタブからインデックス番号を取得
		const index = jQuery(this).index();
		// クリックしたタブと同じインデックス番号をもつコンテンツを表
		jQuery('.panel').eq(index).addClass('is-show');
	});
});

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	ツールチップ設定
//	https://gimmicklog.com/jquery/376/
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
jQuery(function () {

	const FADE_SPEED = 100;

	jQuery('.tooltip-button, .tooltip-top, .tooltip').hide();
	jQuery('button, label').hover(
	function () {
		jQuery(this).children('.tooltip-button, .tooltip-top, .tooltip').fadeIn(FADE_SPEED);
	},
	function () {
		jQuery(this).children('.tooltip-button, .tooltip-top, .tooltip').fadeOut(FADE_SPEED);
	});
});
